com.io7m.r2.filters

## Class R2FilterCompositorParameters

- java.lang.Object
- - com.io7m.r2.filters.R2FilterCompositorParameters

- All Implemented Interfaces:
    R2FilterCompositorParametersType

      @Generated(value={"Immutables.generator","R2FilterCompositorParametersType"})
      public final class R2FilterCompositorParameters
      extends Object
      implements R2FilterCompositorParametersType

  Parameters for filters that render textures to the current framebuffer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2FilterCompositorParameters.Builder` Builds instances of type `R2FilterCompositorParameters`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2FilterCompositorParameters.Builder` | `builder()` Creates a builder for `R2FilterCompositorParameters`.
    `static R2FilterCompositorParameters` | `copyOf(R2FilterCompositorParametersType instance)` Creates an immutable copy of a `R2FilterCompositorParametersType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2FilterCompositorParameters` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `items`.
    `List<R2FilterCompositorItemType>` | `items()`
    `static R2FilterCompositorParameters` | `of(Iterable<? extends R2FilterCompositorItemType> items)` Construct a new immutable `R2FilterCompositorParameters` instance.
    `static R2FilterCompositorParameters` | `of(List<R2FilterCompositorItemType> items)` Construct a new immutable `R2FilterCompositorParameters` instance.
    `String` | `toString()` Prints the immutable value `R2FilterCompositorParameters` with attribute values.
    `R2FilterCompositorParameters` | `withItems(Iterable<? extends R2FilterCompositorItemType> elements)` Copy the current immutable object with elements that replace the content of `items`.
    `R2FilterCompositorParameters` | `withItems(R2FilterCompositorItemType... elements)` Copy the current immutable object with elements that replace the content of `items`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### items

          public List<R2FilterCompositorItemType> items()

      Specified by:
        `items` in interface `R2FilterCompositorParametersType`
      Returns:
        The list of textures that should be displayed, in draw order

    - #### withItems

          public final R2FilterCompositorParameters withItems(R2FilterCompositorItemType... elements)

      Copy the current immutable object with elements that replace the content of `items`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withItems

          public final R2FilterCompositorParameters withItems(Iterable<? extends R2FilterCompositorItemType> elements)

      Copy the current immutable object with elements that replace the content of `items`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of items elements to set
      Returns:
        A modified copy of `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2FilterCompositorParameters` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `items`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2FilterCompositorParameters` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2FilterCompositorParameters of(List<R2FilterCompositorItemType> items)

      Construct a new immutable `R2FilterCompositorParameters` instance.
      Parameters:
        `items` - The value for the `items` attribute
      Returns:
        An immutable R2FilterCompositorParameters instance

    - #### of

          public static R2FilterCompositorParameters of(Iterable<? extends R2FilterCompositorItemType> items)

      Construct a new immutable `R2FilterCompositorParameters` instance.
      Parameters:
        `items` - The value for the `items` attribute
      Returns:
        An immutable R2FilterCompositorParameters instance

    - #### copyOf

          public static R2FilterCompositorParameters copyOf(R2FilterCompositorParametersType instance)

      Creates an immutable copy of a `R2FilterCompositorParametersType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2FilterCompositorParameters instance

    - #### builder

          public static R2FilterCompositorParameters.Builder builder()

      Creates a builder for `R2FilterCompositorParameters`.
      Returns:
        A new R2FilterCompositorParameters builder

Copyright © 2017 <code@io7m.com> http://io7m.com